# CAD Validator

Section Name [GEOMDIFF]

- Some of 3D PDF Exporter parameters are available only when “ComparisonMode=2” and “Create3DPdfReport=1” are specified.

## ComparisonMode

Specify which comparison mode to use.

- Default Value: 2
- Values
  - 0: Perform “Detailed Comparison”
  - 1: Perform “Quick Comparison”
  - 2: Perform “Comparison for Quick Viewing”

## CoincTol

Specify the minimum distance to detect as the difference by a positive real number between 1.0e-5 to 1.0e3.

- Default Value: 0.005

## Create3DReport

Specify whether to export validation result as 3D HTML report file.
This is effective only when “ComparisonMode=2”.
Please note that this requires the license on Report Creator in addition to the license on CAD Validator.

- Default Value: 0
- Values
  - 0: Don’t export 3D HTML report
  - 1: Export 3D HTML report

## Create3DPdfReport

Specify whether to export validation result as 3D PDF report file.
This is effective only when “ComparisonMode=2”.
Please note that this requires the license on Report Creator and ENF to 3D PDF in addition to the license on CAD Validator.

- Default Value: 0
- Values
  - 0: Don’t export 3D PDF report
  - 1: Export 3D PDF report

## 3DPdfReportType

Specify the script file type to use to create 3D PDF Report.
This is effective only when both “ComparisonMode=2” and “Create3DPdfReport=1” are set.
Please ensure to specify a customized script file with “Customized3DPdfReportScript” when selecting “Custom”.

- Default Value: Default
- Values
  - Custom: Use a customized script specified with “Customized3DPdfReportScript”
  - Default: Use a basic script from the standard installation

## Customized3DPdfReportScript

Specify a script file to create 3D PDF report with customization by its absolute file path.
This is effective only when “ComparisonMode=2”, “Create3DPdfReport=1” and “3DPdfReportType=Custom”.

- Default Value:

## Customized3DPdfReportTemplatePdf

Specify the template PDF file to customize 3D PDF reports.
This is effective only when “ComparisonMode=2”, “Create3DPdfReport=1” and “3DPdfReportType=Custom”.

- Default Value:

## CreateDiffAnalyzer

Specify whether to export Diff-Analyzer.
This is effective only when “ComparisonMode=2”.

- Default Value: 0
- Values
  - 0: Don’t export Diff-Analyzer
  - 1: Export Diff-Analyzer

## CreateVcProjectFile

Specify whether to export Validation Configurator project file.
This is effective only when “ComparisonMode=2”.

- Default Value: 0
- Values
  - 0: Don’t export Validation Configurator project file
  - 1: Export Validation Configurator project file

## CreateReport

Specify whether to export validation result as XML report file.

- Default Value: 0
- Values
  - 0: Don’t export XML report
  - 1: Export XML report

## ReportLanguage

Specify the display language of the validation report. This is common for both HTML and 3D PDF reports.
When this is not set or a blank value is set, reports will be exported in English unless the OS language is Japanese.
This is effective only when “ComparisonMode=2”, and at least either “Create3DReport=1” or “Create3DPdfReport=1” are set.

- Default Value:
- Values
  - en: English
  - ja: Japanese

## LengthUnit

Specify the length unit to use in the output file and/or validation reports.

- Default Value: 0
- Values
  - 0: Millimeter
  - 1: Inch

## CustomizeFolder

Specify the folder of customization files (“customize_table.csv” and “customize_utility.rb”).
This is effective only when “ComparisonMode=2”.

- Default Value:

## CheckFace

Specify whether to check the distances between faces.
This is effective only when “ComparisonMode=0 or 2”.

- Default Value: 1
- Values
  - 0: Don’t check the distances between faces
  - 1: Check the distances between faces

## CheckAngleFaceNormal

Specify whether to check the normal vector of the face.
This is effective only when “ComparisonMode=2”.

- Default Value: 0
- Values
  - 0: Don’t check the normal vector of the face
  - 1: Check the normal vector of the face

## CheckEdge

Specify whether to check the distances between edges.
This is effective only when “ComparisonMode=0 or 2”.

- Default Value: 1
- Values
  - 0: Don’t check the distances between edges
  - 1: Check the distances between edges

## CheckVertex

Specify whether to check the distances between vertices.
This is effective only when “ComparisonMode=2”.

- Default Value: 1
- Values
  - 0: Don’t check the distances between vertices
  - 1: Check the distances between vertices

## CheckPolygon

Specify whether to validate exact geometry vs tessellated geometry by the distance between B-rep and polygon.
This is effective only when “ComparisonMode=2”.

- Default Value: 1
- Values
  - 0: Don’t validate exact vs tessellated by polygon
  - 1: Validate exact vs tessellated by polygon

## CheckPolyline

Specify whether to validate exact geometry vs tessellated geometry by the distance between B-rep isolated curves and polyline.
This is effective only when “ComparisonMode=2”.

- Default Value: 1
- Values
  - 0: Don’t validate exact vs tessellated by polyline
  - 1: Validate exact vs tessellated by polyline

## CheckPolygonPoint

Specify whether to validate exact geometry vs tessellated geometry by the distance between B-rep isolated points and polygon points that represent isolated points of B-rep.
This is effective only when “ComparisonMode=2”.

- Default Value: 1
- Values
  - 0: Don’t validate exact vs tessellated by polygon points
  - 1: Validate exact vs tessellated by polygon points

## CheckPMI

Specify whether to check the differences on PMIs.
Please specify the detailed settings on the comparison by the customization file (“CustomizeFolder”).
This is effective only when “ComparisonMode=2”.

- Default Value: 1
- Values
  - 0: Don’t check the differences on PMIs
  - 1: Check the differences on PMIs

## CheckUserProperty

Specify whether to check the differences on user properties.
Please specify the detailed settings on the comparison by the customization file (“CustomizeFolder”).
This is effective only when “ComparisonMode=2”.

- Default Value: 1
- Values
  - 0: Don’t check the differences on user properties
  - 1: Check the differences on user properties

## CheckSystemProperty

Specify whether to check the differences on system properties.
Please specify the detailed settings on the comparison by the customization file (“CustomizeFolder”).
This is effective only when “ComparisonMode=2”.

- Default Value: 1
- Values
  - 0: Don’t check the differences on system properties
  - 1: Check the differences on system properties

## CheckInstance

Specify whether to check the differences on properties on instances.
Please specify the detailed settings on the comparison by the customization file (“CustomizeFolder”).
This is effective only when “ComparisonMode=2”.

- Default Value: 1
- Values
  - 0: Don’t check the differences on properties on instances
  - 1: Check the differences on properties on instances

## CheckAttributeFace

Specify whether to check the differences on face attributes.
Please specify the detailed settings on the comparison by the customization file (“CustomizeFolder”).
This is effective only when “ComparisonMode=2”.

- Default Value: 1
- Values
  - 0: Don’t check the differences on face attributes
  - 1: Check the differences on face attributes

## CheckAttributeIsolatedEdge

Specify whether to check the differences on attributes of isolated curve.
Please specify the detailed settings on the comparison by the customization file (“CustomizeFolder”).
This is effective only when “ComparisonMode=2”.

- Default Value: 1
- Values
  - 0: Don’t check the differences on attributes of isolated curve
  - 1: Check the differences on attributes of isolated curve

## CheckAttributeIsolatedVertex

Specify whether to check the differences on attributes of isolated point.
Please specify the detailed settings on the comparison by the customization file (“CustomizeFolder”).
This is effective only when “ComparisonMode=2”.

- Default Value: 1
- Values
  - 0: Don’t check the differences on attributes of isolated point
  - 1: Check the differences on attributes of isolated point

## PointComparisonLimitTol

Specify the maximum distance between points to detect as difference in Comparison for Quick Viewing.
Specify by a positive real number between twice the value set for “CoincTol” to 2000. (Unit: mm)
This is effective only when “ComparisonMode=2”.

- Default Value: 10

## PointComparisonInterval

Specify the sample point interval to compare for Comparison for Quick Viewing.
(Available only when ComparisonMode=2 is specified.)
Positive real number value (from 1.0e-5 to 1.0e3 mm)
or
Negative real number value (from -1.0e-5 to -1.0e3)
Positive value: Specified value is used.
-1: Automatically specified by model scale.
Other negative value: Specified value is considered as the magnification ratio to the value that is automatically specified.

- Default Value: -1

## FilletMaxRadius

Specify fillet max radius used in the feature recognition on the comparison result.
(Available only when either both ComparisonMode=1 and CheckFeature=1 are specified or ComparisonMode=2 is specified.)
Positive real number value
(from 1.0e-5 to 1.0e3 mm)

- Default Value: 10

## ChamferThreshold

Specify the threshold of the chamfer length used in the feature recognition on the comparison result.
(Available only when either both ComparisonMode=1 and CheckFeature=1 are specified or ComparisonMode=2 is specified.)
Positive real number value
(from 1.0e-5 to 1.0e3 mm)

- Default Value: 10

## RoundHoleMaxDiameter

Specify round hole max diameter used in the feature recognition on the comparison result.
(Available only when either both ComparisonMode=1 and CheckFeature=1 are specified or ComparisonMode=2 is specified.)
Positive real number value
(from 1.0e-5 to 1.0e3 mm)

- Default Value: 100

## CurveAnalyticCheckTol

Specify the analytic curve approximate tolerance in the feature recognition on the comparison result by a positive real number between 0.00005 to 1000 (unit: mm).
This is effective only when “ComparisonMode=2”.

- Default Value: 0.01

## NormalVecLimitAngleTol

Specify the maximum angle for detecting the difference on normal vector by a positive real number between the twice the value of NormalVecAngleTol to 90.0.
This is effective only when “ComparisonMode=2”.

- Default Value: 40.0

## NormalVecAngleTol

Specify the minimum angle for detecting the difference on normal vector by a positive real number between 0.00001 to 45.0.
This is effective only when “ComparisonMode=2”.

- Default Value: 1.0

## PolygonComparisonCoincTol

Specify the minimum distance to detect as deviation in polygon-CAD validation with “Comparison for Quick Viewing” mode.
Specify by a positive real number between 0.00005 to 1000.
This is effective only when “ComparisonMode=2”.

- Default Value: 0.1

## PolygonComparisonLimitTol

Specify the maximum distance to detect as deviation in polygon-CAD validation with “Comparison for Quick Viewing” mode.
Specify by a positive real number between twice the value set for “PolygonComparisonCoincTol” to 2000.
This is effective only when “ComparisonMode=2”.

- Default Value: 1.0

## BrepElementMappingMode

Specify the degree of coincidence for mapping of B-rep elements.
Please note that all elements without correspondence will be treated as “No correspondence” and further validation will be skipped.
This will be used for the comparison of;
* Attribute of Face
* Attribute of Isolated Curve
* Attribute of Isolated Point
Specify 0 to map regardless of the size/shape as long as one fully covers B-rep element(s) in the other model. This allows to map faces divided through translation.
Or 1 to map only when one perfectly matches an element in the other model.
This is effective only when “ComparisonMode=2”, and at least either “CheckAttributeFace=1”, “CheckAttributeIsolatedEdge=1” or “CheckAttributeIsolatedVertex=1” is set.

- Default Value: 0
- Values
  - 0: Map even with low coincidence
  - 1: Map only with perfect match

## GeometryComparisonDirection

Specify the direction of geometry validation (bi-directional / mono-directional).
This is effective only when “ComparisonMode=2”.

- Default Value: 0
- Values
  - 0: Both directions
  - 1: First to second direction only
  - 2: Second to first direction only

## IgnoreReverseAngle

Specify whether to ignore the face flipping in detecting the angle differences (treat the angle difference as “180 degree minus the detected angle” when the difference is more than 90 degree.)
This is effective only when “ComparisonMode=2”.

- Default Value: 0
- Values
  - 0: Don’t ignore the face flipping
  - 1: Ignore the face flipping

## CheckEdgeType

Specify the target edge type(s) for the comparison on the distance between edges with “CheckEdge”.
Multiple selection is available by specifying the sum of corresponding values.
This is effective only when either both “ComparisonMode=0” and “CheckEdge=1” are set, or “ComparisonMode=2” is set.
The default value is “7” when “ComparisonMode=0”, and “6” when “ComparisonMode=2”.

- Default Value:
- Values
  - 1: Edges between faces (Shared by more than 2 faces)
  - 2: Free edges (Used by a single face only)
  - 4: Isolated edges (No connection with faces)

## ReportColorLimitLength

Specify the maximum distance (gap) of the display range for the gradation display in validation report.

- Default Value: 3.0

## ReportColorLimitAngle

Specify the maximum angle of the display range for the gradation display in validation report.

- Default Value: 30.0

## DisplayUnmatchedBrepElement

Specify whether to include (show) unpaired B-rep attributes (B-rep attributes which correspondence was not detected) in the output reports.
This is effective only when “ComparisonMode=2”.

- Default Value: 0
- Values
  - 0: Exclude unpaired B-rep attributes (Show paired B-rep attributes only)
  - 1: Include all (both paired and unpaired) B-rep attributes

## SourceEnfDescription

Specify the string to describe the input ENF file to compare (source file).
This string will be displayed at the bottom of the left view in Diff-Viewer in a single line.
Specify ASCII text within 250 bytes.
This is effective only when “ComparisonMode=2” is set.

- Default Value:

## TargetEnfDescription

Specify the string to describe the input ENF file to compare to (target file).
This string will be displayed at the bottom of the right view in Diff-Viewer in a single line.
Specify ASCII text within 250 bytes.
This is effective only when “ComparisonMode=2” is set.

- Default Value:

## PdfTableMode

Specify whether to export 3D PDF reports in a light format.
This is to increase the viewing performance only, and the file size will be more or less the same.

- Default Value: 0
- Values
  - 0: Export in the standard format
  - 1: Export in a light format

## 3DPdfReportViewType

Specify the type of 3D view in output 3D PDF report; either twin view or single view.
This is effective only when both “ComparisonMode=2” and “Create3DPdfReport=1” are set.

- Default Value: 0
- Values
  - 0: Create report with twin view
  - 1: Create report with single view

## PdfEmbedColorMap

Specify whether to include the capability to visualize geometric differences in the color map in the output 3D PDF reports.
This is effective only when both “ComparisonMode=2” and “Create3DPdfReport=1” are set.

- Default Value: 1
- Values
  - 0: Don’t include the color map
  - 1: Include the color map

## PdfColorMapPrecision

Specify the accuracy in polygon generation for the color map in 3D PDF validation reports by the maximum polygon edge length.
Specify by a positive real number as an actual value (Unit: mm), or a negative real number to apply an appropriate value automatically as follows;
* -1: Apply a value calculated based on the model size and the value set for “PointComparisonInterval”
* Other negative value: Apply a value multiplied the value for “-1” by this (absolute) value
This is effective only when “ComparisonMode=2”, “Create3DPdfReport=1” and “PdfEmbedColorMap=1” are set.

- Default Value: -1.0

## PdfColorMapSide

Specify which models to create the color map in 3D PDF validation report for.
This is effective only when “ComparisonMode=2”, “Create3DPdfReport=1” and “PdfEmbedColorMap=1” are set.

- Default Value: 0
- Values
  - 0: For both First and Second models
  - 1: For First model only
  - 2: For Second model only

## PdfGroupFlagDefFile

Specify the group flag definition file.
Please refer to “Elysium 3DxSUITE Components Manual” for the details about the file format.

- Default Value:

## LimitTol

Maximum distance for detection
(Available only when ComparisonMode=0 is specified.)
from 2*CoincTol to 2.0e3

- Default Value: 0.5

## TangencyAngDeg

Tangency angel for detection
(Available only when ComparisonMode=0 is specified.)
from 0.1 to 180.0

- Default Value: 0.5

## TopoCoincLim

The tolerance for the topological coincident.
(Available only when ComparisonMode=0 is specified.)
from 2*CoincTol to 2.0e3

- Default Value: 5

## CheckTopology

Specify whether to validate the topological structure.
This is effective only when “ComparisonMode=0”.

- Default Value: 1
- Values
  - 0: Don’t validate the topological structure
  - 1: Validate the topological structure

## CheckCont

Specify whether to check the continuity.
This is effective only when “ComparisonMode=0”.

- Default Value: 1
- Values
  - 0: Don’t check the continuity
  - 1: Check the continuity

## CheckFeature

Specify whether to run the feature recognition.
This is effective only when “ComparisonMode=1”.

- Default Value: 1
- Values
  - 0: Don’t run feature recognition
  - 1: Run feature recognition

## CompRestrict

Compare distance between corresponding elements
(Available only when ComparisonMode=0 is specified.)

- Default Value: 0
- Values
  - 0: For all elements
  - 2: Only for corresponding elements

## PartNameCorrespondingType

Specify how to pair the parts for comparison.
This is effective only when “ComparisonMode=0 or 1”.

- Default Value: 0
- Values
  - 0: Pair parts automatically (pair as long as possible)
  - 1: Pair the parts when their part names are the same